<?php
/**
 * Plugin Name: Add Menu Icon
 * Plugin URI: https://www.dorzki.io/add-icon-to-menu-items-in-wordpress/?utm_source=wordpress-plugin&utm_medium=plugin-uri&utm_campaign=tutorial-code
 * Description: Adding a menu icon to menu links.
 * Version: 1.0.0
 * Requires at least: 5.0
 * Requires PHP: 7.4
 * Author: dorzki
 * Author URI: https://www.dorzki.io/?utm_source=wordpress-plugin&utm_medium=author-uri&utm_campaign=tutorial-code
 * License: GPL-2.0+
 * License URI: http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain: dorzki-add-menu-icon
 *
 * @package    WordPress
 * @subpackage Plugins
 * @author     Dor Zuberi <admin@dorzki.io>
 * @link       https://www.dorzki.io
 * @version    1.0.0
 */

// Block if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Plugin Constants
if ( ! defined( 'DRZK_MENU_ICON_URL' ) ) {
	define( 'DRZK_MENU_ICON_URL', plugin_dir_url( __FILE__ ) );
}

if ( ! defined( 'DRZK_MENU_ICON_PATH' ) ) {
	define( 'DRZK_MENU_ICON_PATH', __DIR__ );
}

// Plugin Classes
require_once ABSPATH . 'wp-admin/includes/nav-menu.php';
require_once DRZK_MENU_ICON_PATH . '/classes/class-edit-menu-item-icon-walker.php';
require_once DRZK_MENU_ICON_PATH . '/classes/class-display-menu-item-icon-walker.php';
require_once DRZK_MENU_ICON_PATH . '/classes/class-plugin.php';
